%define upstream_name	 Class-Singleton
%define upstream_version 1.5

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 3

Summary:    A Singleton class for Perl
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}
Source0:    http://www.cpan.org/modules/by-module/Class/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(ExtUtils::MakeMaker)
BuildArch:  noarch

%description
This is the Class::Singleton module. A Singleton describes an object class that
can have only one instance in any system. This module implements a Singleton
class from which other classes can be derived.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%__perl Makefile.PL INSTALLDIRS=vendor
%make

%check
%make test

%install
%makeinstall_std

%files
%doc Changes META.yml MYMETA.yml README
%{perl_vendorlib}/Class
%{_mandir}/*/*

%changelog
* Sat Jun 18 2016 pterjan <pterjan> 1.500.0-3.mga6
+ Revision: 1023994
- Rebuild for perl 5.22.2

* Thu Feb 18 2016 umeabot <umeabot> 1.500.0-2.mga6
+ Revision: 965736
- Mageia 6 Mass Rebuild

* Sun Jun 21 2015 sander85 <sander85> 1.500.0-1.mga6
+ Revision: 837063
- update to 1.5

* Wed Oct 15 2014 umeabot <umeabot> 1.400.0-5.mga5
+ Revision: 743144
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 1.400.0-4.mga5
+ Revision: 683939
- Mageia 5 Mass Rebuild

* Fri Oct 18 2013 umeabot <umeabot> 1.400.0-3.mga4
+ Revision: 510040
- Mageia 4 Mass Rebuild

* Sun Jan 13 2013 umeabot <umeabot> 1.400.0-2.mga3
+ Revision: 364508
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sun Jan 09 2011 jquelin <jquelin> 1.400.0-1.mga1
+ Revision: 2106
- imported package perl-Class-Singleton

